PruningPolicy (Lucene 3.6.2 API)
Keywords: org.apache.lucene.index.pruning.PruningPolicy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index.pruning
Class PruningPolicy

    java.lang.Object
      org.apache.lucene.index.pruning.PruningPolicy

Direct Known Subclasses:
  StorePruningPolicy, TermPruningPolicy

    public class PruningPolicy

extends Object

General Definitions for Index Pruning, such as operations to be performed on field data.

Field Summary
`static int` | `DEL_ALL` Delete all data for this field.
`static int` | `DEL_PAYLOADS` Delete (some or all) payloads in these fields.
`static int` | `DEL_POSTINGS` Delete (some or all) postings for this field.
`static int` | `DEL_STORED` Delete (some or all) stored values for this field.
`static int` | `DEL_VECTOR` Delete term frequency vectors for this field (whole vectors or individual terms).

Constructor Summary
`PruningPolicy()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEL_POSTINGS

    public static final int DEL_POSTINGS

  Delete (some or all) postings for this field.

  See Also:
    Constant Field Values

### DEL_STORED

    public static final int DEL_STORED

  Delete (some or all) stored values for this field.

  See Also:
    Constant Field Values

### DEL_VECTOR

    public static final int DEL_VECTOR

  Delete term frequency vectors for this field (whole vectors or individual terms).

  See Also:
    Constant Field Values

### DEL_PAYLOADS

    public static final int DEL_PAYLOADS

  Delete (some or all) payloads in these fields.

  See Also:
    Constant Field Values

### DEL_ALL

    public static final int DEL_ALL

  Delete all data for this field.

  See Also:
    Constant Field Values

Constructor Detail

### PruningPolicy

    public PruningPolicy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD